function [zz,cc,theta]=getinput
%Asks for some input for the velocity model and initial angles for
%the rays. Angle is measured in degrees, (0 down, 90 horizontal)
%Written by Keli Karason, karason@mit.edu
%modified by RLS 2/1/00

ans='x';

while lower(ans(1))~='y',
  disp([10 10 10 10 10 'Press return for default values [default]']);
  disp(['Vectors have to be given in matlab notation, i.e. [0 7 30], 0:3:18, ....' 10 10 10])
  disp(['Velocity model can be given with any number (>1) of nodes'])
  
  zinp=input('Depths to the nodepoints of velocity model [0 10 10.1 20 30 30.1 40]:');
  cinp=input('Velocity at the nodepoints [5 7 9 20 26 28 35]:');
  thinp=input('Initial angle of ray (0 vertical, 90 horizontal) [15:1:80]:');

  zz=zinp(:);
  cc=cinp(:);
  theta=thinp(:);
  
  if isempty(zinp),
    zz=[0 10 10.1 20 30 30.1 40]';
%    zz=[0 5 10 15 20 25 30 35 40]';

  end  
  if isempty(cinp),
    cc=[5 7 9 20 26 28 35]';
%    cc=[5 8 11 8 11 15 20 25 30]';

  end
  if isempty(thinp),
    theta=[15:1:80]';
    theta=[15:1:80]';

  end
  
  profile(zz,cc);
  drawnow
  ans=input('Go ahead and ray trace (y)?','s');
  if isempty(ans)
    ans='y';
  end
end

